# Uses of Class
java.io.Console

Packages that use Console
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of Console in java.io

Methods in java.io that return Console
Modifier and Type
Method
Description
`Console`
Console.`format(String format, Object... args)`
Writes a formatted string to this console's output stream using the specified format string and arguments with the `default format locale`.
`Console`
Console.`format(Locale locale, String format, Object... args)`
Writes a formatted string to this console's output stream using the specified format string and arguments with the specified `locale`.
`Console`
Console.`printf(String format, Object... args)`
A convenience method to write a formatted string to this console's output stream using the specified format string and arguments with the `default format locale`.
`Console`
Console.`printf(Locale locale, String format, Object... args)`
A convenience method to write a formatted string to this console's output stream using the specified format string and arguments with the specified `locale`.

## Uses of Console in java.lang

Methods in java.lang that return Console
Modifier and Type
Method
Description
`static Console`
System.`console()`
Returns the unique `Console` object associated with the current Java virtual machine, if any.